#!/bin/sh

qmake=/usr/local/oethirdparty-native/Trolltech/Qt-4.8.0/bin/qmake
#/usr/local/Trolltech/Qt-4.8.0/bin/qmake
prefix=`pwd`/sip-4.13.2-pyqt-4.9.1
sip=sip-4.13.2
pyqt=PyQt-x11-gpl-4.9.1
siptar=${sip}.tar.gz
pyqttar=${pyqt}.tar.gz

echo $qmake
if [ -f $qmake ] ; then
  echo "Using qmake in ${qmake}"
else
  echo "Could not find qmake in ${qmake}"
  echo " please set qmake in script properly"
  exit 1
fi

if [ ! -f $siptar ] ; then
  echo "Missing sip tarball: $sip"
  echo " Please download from riverbank.co.uk"
  exit 1
fi

if [ ! -f $pyqttar ] ; then
  echo "Missing pyqt tarball: $pytar"
  echo " Please download from riverbank.co.uk"
  exit 1
fi


echo "Installing into: ${prefix}"

tar -zxf ${siptar}

cd ${sip}
python configure.py -b ${prefix}/bin -d ${prefix}/site-packages -e ${prefix}/include -v ${prefix}/share/sip && make && make install
if [ "$?" -eq '0' ]; then 
 echo "${sip} build succeeded"
else
 echo "${sip} build failed" ;
 exit 1 ;
fi

cd ..
tar -zxf ${pyqttar}
cd ${pyqt}
# command that fails
#python configure.py -q ${qmake} -b ${prefix}/bin -d ${prefix}/site-packages && make && make install

# command that works
python configure.py -q ${qmake} -b ${prefix}/bin -d ${prefix}/site-packages -e ${prefix}/include -v ${prefix}/share/sip && make && make install
if [ "$?" -eq '0' ]; then 
 echo "${pyqt} build succeeded"
else
 echo "${pyqt} build failed"
 exit 1;
fi

